#!/bin/sh

for i in autoconf; do
    echo "---> generate files via $i" 
    $i
    if [ $? -ne 0 ]; then
	echo "Error $? in $i"
	exit 1
    fi
done

# RPM5: even if not using automake, we do need some files from it
for f in install-sh config.guess config.sub; do
    if ! test -f $f; then
        if ! test -f ../$f; then
            echo "---> generating file $f"
            automake=`which automake`
            autobin=`dirname "$automake"`
            # this is of course cheating... bad.
            autodata=$autobin/../share/automake*
            cp $autodata/$f .
        fi
    fi
done

if [ "$1" = "--noconfigure" ]; then
	exit 0
fi

echo "./configure --enable-autogen $@"
./configure --enable-autogen $@
if [ $? -ne 0 ]; then
    echo "Error $? in ./configure"
    exit 1
fi
